SystemOrganization addCategory: #TaskComponentTest!

WATask subclass: #TaskComponentTestTask
	instanceVariableNames: 'component1 component2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TaskComponentTest'!

!TaskComponentTestTask class methodsFor: 'as yet unclassified' stamp: 'rh 2/23/2010 10:55'!
canBeRoot

	^true! !

!TaskComponentTestTask methodsFor: 'rendering' stamp: 'rh 2/23/2010 10:58'!
go

	| result |
	result := self call: component1.
	self call: (component2 result: result).! !

!TaskComponentTestTask methodsFor: 'rendering' stamp: 'rh 2/23/2010 10:57'!
goOK

	| result |
	result := self call: TaskComponentTestComponent1 new.
	self call: (TaskComponentTestComponent2 new result: result).! !

!TaskComponentTestTask methodsFor: 'initialize-release' stamp: 'rh 2/23/2010 10:58'!
initialize

	super initialize.
	component1 := TaskComponentTestComponent1 new.
	component2 := TaskComponentTestComponent2 new.! !

WAComponent subclass: #TaskComponentTestComponent1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TaskComponentTest'!

!TaskComponentTestComponent1 methodsFor: 'rendering' stamp: 'rh 2/23/2010 10:54'!
renderContentOn: html

	#(1 2 3 4 5 6) do: [:each|
		html anchor callback: [self answer: each]; with: 'Select ', each asString.
		html break.
	]! !

WAComponent subclass: #TaskComponentTestComponent2
	instanceVariableNames: 'result'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TaskComponentTest'!

!TaskComponentTestComponent2 methodsFor: 'rendering' stamp: 'rh 2/23/2010 10:57'!
renderContentOn: html

	html form: [
		html text: 'You have selected: ', self result asString.
		html break.
		html submitButton callback: [self answer]; with: 'OK'
	]! !

!TaskComponentTestComponent2 methodsFor: 'accessing' stamp: 'rh 2/23/2010 10:53'!
result
	"Answer the value of result"

	^ result! !

!TaskComponentTestComponent2 methodsFor: 'accessing' stamp: 'rh 2/23/2010 10:53'!
result: anObject
	"Set the value of result"

	result := anObject! !
